Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 811879 - [kde overlay] kde-plasma/libksysguard-9999 libksysguard-5.16.0-no-detailed-mem-message.patch fails to apply
Summary: [kde overlay] kde-plasma/libksysguard-9999 libksysguard-5.16.0-no-detailed-me...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Overlays (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-06 18:37 UTC by jospezial
Modified: 2021-09-14 16:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2021-09-06 18:37:54 UTC
* Package:    kde-plasma/libksysguard-9999
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * Upstream:   https://bugs.kde.org/
 * USE:        X abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   ccache network-sandbox preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
 * Repository id: plasma_libksysguard.git
 * To override fetched repository properties, use:
 *   EGIT_OVERRIDE_REPO_PLASMA_LIBKSYSGUARD
 *   EGIT_OVERRIDE_BRANCH_PLASMA_LIBKSYSGUARD
 *   EGIT_OVERRIDE_COMMIT_PLASMA_LIBKSYSGUARD
 *   EGIT_OVERRIDE_COMMIT_DATE_PLASMA_LIBKSYSGUARD
 * 
 * Fetching https://invent.kde.org/plasma/libksysguard.git ...
git fetch https://invent.kde.org/plasma/libksysguard.git +HEAD:refs/git-r3/HEAD
remote: Enumerating objects: 363, done.
remote: Counting objects: 100% (363/363), done.
remote: Compressing objects: 100% (30/30), done.
remote: Total 197 (delta 171), reused 191 (delta 166), pack-reused 0
Receiving objects: 100% (197/197), 82.00 KiB | 1.78 MiB/s, done.
Resolving deltas: 100% (171/171), completed with 155 local objects.
From https://invent.kde.org/plasma/libksysguard
   8247320..9d91ea2             -> refs/git-r3/HEAD
git symbolic-ref refs/git-r3/kde-plasma/libksysguard/5/__main__ refs/git-r3/HEAD
 * Checking out https://invent.kde.org/plasma/libksysguard.git to /var/tmp/portage/kde-plasma/libksysguard-9999/work/libksysguard-9999 ...
git checkout --quiet refs/git-r3/HEAD
GIT update -->
   repository:               https://invent.kde.org/plasma/libksysguard.git
   updating from commit:     82473206aebc8243dc3b55958d95b298b023e530
   to commit:                9d91ea29768d667ecdd9a1706788dfbc8a7088a1
 .git-blame-ignore-revs                                   |    1 +
 CMakeLists.txt                                           |    2 +
 autotests/cgrouptest.cpp                                 |   26 ++--
 autotests/chronotest.cpp                                 |    7 +-
 autotests/formattertest.cpp                              |    5 +-
 autotests/graphicssignalplotterbenchmark.cpp             |   11 +-
 autotests/graphicssignalplotterbenchmark.h               |   20 +--
 autotests/guitest.cpp                                    |   15 +-
 autotests/guitest.h                                      |    7 +-
 autotests/ksysguarddtest.cpp                             |  163 +++++++++++-----------
 autotests/ksysguarddtest.h                               |   53 +++----
 autotests/processdatamodeltest.cpp                       |    2 +-
 autotests/processtest.cpp                                |  109 ++++++++-------
 autotests/processtest.h                                  |   27 ++--
 autotests/sensordatamodeltest.cpp                        |   22 +--
 autotests/sensorfacecontrollertest.cpp                   |    2 +-
 autotests/sensortreemodeltest.cpp                        |    2 +-
 autotests/signalplotterbenchmark.cpp                     |   10 +-
 autotests/signalplotterbenchmark.h                       |   19 +--
 autotests/signalplottertest.cpp                          |  227 +++++++++++++++---------------
 autotests/signalplottertest.h                            |   41 +++---
 faces/FaceLoader.cpp                                     |   18 +--
 faces/FaceLoader.h                                       |    6 +-
 faces/SensorFace.cpp                                     |   12 +-
 faces/SensorFaceController.cpp                           |  144 ++++++++++---------
 faces/SensorFaceController.h                             |   23 ++--
 faces/SensorFaceController_p.h                           |   32 ++---
 faces/SensorFace_p.h                                     |    7 +-
 faces/facepackages/facegrid/metadata.desktop             |    2 +
 faces/import/FacesPlugin.cpp                             |   14 +-
 faces/packagestructure/sensorfacepackage.cpp             |   17 ++-
 formatter/Formatter.cpp                                  |    3 +-
 formatter/Formatter.h                                    |   13 +-
 formatter/Unit.h                                         |   26 ++--
 formatter/declarative/FormatterPlugin.cpp                |    6 +-
 formatter/declarative/FormatterWrapper.cpp               |    4 +-
 formatter/declarative/FormatterWrapper.h                 |   12 +-
 ksgrd/SensorAgent.cpp                                    |  342 +++++++++++++++++++++++----------------------
 ksgrd/SensorAgent.h                                      |   78 +++++------
 ksgrd/SensorClient.h                                     |  171 ++++++++++++-----------
 ksgrd/SensorManager.cpp                                  |  681 +++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------
 ksgrd/SensorManager.h                                    |   87 ++++++------
 ksgrd/SensorShellAgent.cpp                               |  156 ++++++++++-----------
 ksgrd/SensorShellAgent.h                                 |   31 ++---
 ksgrd/SensorSocketAgent.cpp                              |  110 +++++++--------
 ksgrd/SensorSocketAgent.h                                |   26 ++--
 lsofui/LsofSearchWidget.cpp                              |   44 +++---
 lsofui/LsofSearchWidget.h                                |    4 +-
 lsofui/lsof.cpp                                          |  115 ++++++++--------
 lsofui/lsof.h                                            |   88 ++++++------
 processcore/application_data_model.cpp                   |    2 +-
 processcore/application_data_model.h                     |    4 +-
 processcore/atop_p.h                                     |  172 +++++++++++------------
 processcore/cgroup.cpp                                   |    8 +-
 processcore/cgroup.h                                     |    1 -
 processcore/cgroup_data_model.cpp                        |  211 +++++++++++++++-------------
 processcore/cgroup_data_model.h                          |    6 +-
 processcore/declarative/ProcessEnums.h                   |    3 +-
 processcore/declarative/ProcessPlugin.cpp                |    4 +-
 processcore/extended_process_list.cpp                    |  344 ++++++++++++++++++++++++++++++++--------------
 processcore/extended_process_list.h                      |    3 +-
 processcore/helper.cpp                                   |   44 +++---
 processcore/helper.h                                     |   25 ++--
 processcore/plugins/network/helper/Accumulator.cpp       |    6 +-
 processcore/plugins/network/helper/Accumulator.h         |    7 +-
 processcore/plugins/network/helper/Capture.cpp           |   13 +-
 processcore/plugins/network/helper/Capture.h             |    6 +-
 processcore/plugins/network/helper/ConnectionMapping.cpp |   14 +-
 processcore/plugins/network/helper/ConnectionMapping.h   |   13 +-
 processcore/plugins/network/helper/Packet.cpp            |    6 +-
 processcore/plugins/network/helper/Packet.h              |   42 +++---
 processcore/plugins/network/helper/main.cpp              |   20 +--
 processcore/plugins/network/network.cpp                  |    4 +-
 processcore/plugins/network/network.h                    |    2 +-
 processcore/plugins/nvidia/nvidia.cpp                    |   18 +--
 processcore/plugins/nvidia/nvidia.h                      |    3 +-
 processcore/process.cpp                                  |  375 ++++++++++++++++++++++++++++++++------------------
 processcore/process.h                                    |   79 ++++++-----
 processcore/process_attribute.cpp                        |    6 +-
 processcore/process_attribute.h                          |    9 +-
 processcore/process_attribute_model.cpp                  |   16 +--
 processcore/process_attribute_model.h                    |    1 -
 processcore/process_controller.cpp                       |   92 ++++++-------
 processcore/process_controller.h                         |    6 +-
 processcore/process_data_model.cpp                       |    5 +-
 processcore/process_data_model.h                         |    1 -
 processcore/process_data_provider.cpp                    |    4 +-
 processcore/process_data_provider.h                      |    4 +-
 processcore/processes.cpp                                |  275 +++++++++++++++++++------------------
 processcore/processes.h                                  |  465 +++++++++++++++++++++++++++++++-------------------------------
 processcore/processes_atop_p.cpp                         |  257 +++++++++++++++++-----------------
 processcore/processes_atop_p.h                           |   89 ++++++------
 processcore/processes_base_p.cpp                         |    2 -
 processcore/processes_base_p.h                           |  233 +++++++++++++++----------------
 processcore/processes_dragonfly_p.cpp                    |  144 ++++++++++---------
 processcore/processes_freebsd_p.cpp                      |  185 +++++++++++++------------
 processcore/processes_gnu_p.cpp                          |   13 +-
 processcore/processes_linux_p.cpp                        |  803 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------
 processcore/processes_local_p.cpp                        |    1 -
 processcore/processes_local_p.h                          |   76 +++++-----
 processcore/processes_netbsd_p.cpp                       |  178 ++++++++++++------------
 processcore/processes_openbsd_p.cpp                      |  190 +++++++++++++------------
 processcore/processes_remote_p.cpp                       |  395 +++++++++++++++++++++++++++-------------------------
 processcore/processes_remote_p.h                         |   91 ++++++------
 processcore/processes_solaris_p.cpp                      |  184 +++++++++++++------------
 processcore/read_procsmaps_runnable.h                    |    4 +-
 processui/KTextEditVT.cpp                                |  231 +++++++++++++++----------------
 processui/KTextEditVT.h                                  |   70 +++++-----
 processui/ProcessFilter.cpp                              |  219 ++++++++++++++---------------
 processui/ProcessFilter.h                                |   51 ++++---
 processui/ProcessModel.cpp                               | 2123 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------------------------------
 processui/ProcessModel.h                                 |  349 +++++++++++++++++++++++-----------------------
 processui/ProcessModel_p.h                               |  286 +++++++++++++++++++-------------------
 processui/ReniceDlg.cpp                                  |  282 +++++++++++++++++++-------------------
 processui/ReniceDlg.h                                    |   44 +++---
 processui/ksysguardprocesslist.cpp                       | 1020 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------
 processui/ksysguardprocesslist.h                         |  312 +++++++++++++++++++++---------------------
 processui/scripting.cpp                                  |  168 +++++++++++++----------
 processui/scripting.h                                    |   45 ++++--
 processui/timeutil.h                                     |    6 +-
 sensors/Sensor.cpp                                       |    5 +-
 sensors/Sensor.h                                         |    4 +-
 sensors/SensorDaemonInterface.cpp                        |    3 +-
 sensors/SensorDaemonInterface_p.h                        |    2 +-
 sensors/SensorDataModel.cpp                              |   19 +--
 sensors/SensorDataModel.h                                |   22 +--
 sensors/SensorGroup.cpp                                  |    9 +-
 sensors/SensorGroup_p.h                                  |    7 +-
 sensors/SensorInfo_p.h                                   |    4 +-
 sensors/SensorQuery.cpp                                  |    6 +-
 sensors/SensorTreeModel.cpp                              |   14 +-
 sensors/SensorUnitModel.cpp                              |   19 ++-
 sensors/SensorUnitModel.h                                |    6 +-
 signalplotter/kgraphicssignalplotter.cpp                 |    2 +-
 signalplotter/kgraphicssignalplotter.h                   |  111 ++++++++-------
 signalplotter/ksignalplotter.cpp                         |  648 ++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 signalplotter/ksignalplotter.h                           |  108 +++++++--------
 signalplotter/ksignalplotter_p.h                         |   79 ++++++-----
 systemstats/AggregateSensor.cpp                          |    8 +-
 systemstats/AggregateSensor.h                            |    3 +-
 systemstats/DBusInterface.cpp                            |    2 -
 systemstats/DBusInterface.h                              |    6 +-
 systemstats/SensorContainer.h                            |    1 -
 systemstats/SensorInfo.h                                 |    5 +-
 systemstats/SensorObject.cpp                             |   12 +-
 systemstats/SensorObject.h                               |    1 -
 systemstats/SensorPlugin.h                               |    3 +-
 systemstats/SensorProperty.cpp                           |    1 -
 systemstats/SensorProperty.h                             |    5 +-
 systemstats/SensorsFeatureSensor.cpp                     |    3 +-
 systemstats/SensorsFeatureSensor.h                       |    3 +-
 systemstats/SysFsSensor.cpp                              |    6 +-
 systemstats/SysFsSensor.h                                |    3 +-
 systemstats/SysctlSensor.h                               |   26 ++--
 154 files changed, 7600 insertions(+), 6969 deletions(-)
>>> Source unpacked in /var/tmp/portage/kde-plasma/libksysguard-9999/work
>>> Preparing source in /var/tmp/portage/kde-plasma/libksysguard-9999/work/libksysguard-9999 ...
 * Source directory (CMAKE_USE_DIR): "/var/tmp/portage/kde-plasma/libksysguard-9999/work/libksysguard-9999"
 * Build directory  (BUILD_DIR):     "/var/tmp/portage/kde-plasma/libksysguard-9999/work/libksysguard-9999_build"
 * Applying libksysguard-5.16.0-no-detailed-mem-message.patch ...
patching file processui/scripting.cpp
Hunk #1 FAILED at 242.
1 out of 1 hunk FAILED -- saving rejects to file processui/scripting.cpp.rej
 [ !! ]
 * ERROR: kde-plasma/libksysguard-9999::kde failed (prepare phase):
 *   patch -p1  failed with /var/tmp/portage/kde-plasma/libksysguard-9999/files/libksysguard-5.16.0-no-detailed-mem-message.patch
 * 
 * Call stack:
 *               ebuild.sh, line  127:  Called src_prepare
 *             environment, line 3066:  Called ecm_src_prepare
 *             environment, line 1721:  Called cmake_src_prepare
 *             environment, line 1399:  Called default_src_prepare
 *      phase-functions.sh, line  934:  Called __eapi8_src_prepare
 *             environment, line  455:  Called eapply '--' '/var/tmp/portage/kde-plasma/libksysguard-9999/files/libksysguard-5.16.0-no-detailed-mem-message.patch'
 *             environment, line 1559:  Called _eapply_patch '/var/tmp/portage/kde-plasma/libksysguard-9999/files/libksysguard-5.16.0-no-detailed-mem-message.patch'
 *             environment, line 1497:  Called __helpers_die 'patch -p1  failed with /var/tmp/portage/kde-plasma/libksysguard-9999/files/libksysguard-5.16.0-no-detailed-mem-message.patch'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *              die "$@"

That message is new:
portage: unable to utilise 'portage' user home directory. Ensure that it exists with the correct permissions.
portage: unable to utilise 'portage' user home directory. Ensure that it exists with the correct permissions.
Comment 1 Sam James archtester gentoo-dev Security 2021-09-06 18:40:57 UTC
(That new message is probably from https://github.com/gentoo/portage/commit/97f1f6a42796c91bf1eba628605c4ef641dcc532, but not sure where exactly it appeared -- was it at the end, or?)
Comment 2 jospezial 2021-09-07 13:55:08 UTC
That is the commit that made the patch bad.:
https://invent.kde.org/plasma/libksysguard/-/commit/a651ea9ac77bf191958e26004da6369a14defb96
"Run clang-format"
Comment 3 Larry the Git Cow gentoo-dev 2021-09-14 16:11:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=e4f5bf1508f0071bafd8366eb2c1dc002987fa45

commit e4f5bf1508f0071bafd8366eb2c1dc002987fa45
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-09-14 16:07:09 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-09-14 16:07:09 +0000

    kde-plasma/libksysguard: Rebase no-detailed-mem-message.patch
    
    Closes: https://bugs.gentoo.org/811879
    Package-Manager: Portage-3.0.23, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 ...bksysguard-5.16.0-no-detailed-mem-message.patch | 26 --------------------
 ...ksysguard-5.22.80-no-detailed-mem-message.patch | 28 ++++++++++++++++++++++
 kde-plasma/libksysguard/libksysguard-9999.ebuild   |  2 +-
 3 files changed, 29 insertions(+), 27 deletions(-)